Operations - List
Lists all of the available CDN REST API operations.
GET https://management.azure.com/providers/Microsoft.Cdn/operations?api-version=2025-04-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The request has succeeded. |
|
| Other Status Codes |
CDN error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Operations_List
Sample request
GET https://management.azure.com/providers/Microsoft.Cdn/operations?api-version=2025-04-15
Sample response
{
"value": [
{
"name": "Microsoft.Cdn/register/action",
"display": {
"provider": "Microsoft.Cdn",
"resource": "Microsoft.Cdn Resource Provider",
"operation": "Registers the Microsoft.Cdn Resource Provider"
}
},
{
"name": "Microsoft.Cdn/edgenodes/read",
"display": {
"provider": "Microsoft.Cdn",
"resource": "EdgeNode",
"operation": "read"
}
},
{
"name": "Microsoft.Cdn/edgenodes/write",
"display": {
"provider": "Microsoft.Cdn",
"resource": "EdgeNode",
"operation": "write"
}
},
{
"name": "Microsoft.Cdn/edgenodes/delete",
"display": {
"provider": "Microsoft.Cdn",
"resource": "EdgeNode",
"operation": "delete"
}
},
{
"name": "Microsoft.Cdn/profiles/read",
"display": {
"provider": "Microsoft.Cdn",
"resource": "Profile",
"operation": "read"
}
},
{
"name": "Microsoft.Cdn/profiles/write",
"display": {
"provider": "Microsoft.Cdn",
"resource": "Profile",
"operation": "write"
}
},
{
"name": "Microsoft.Cdn/operationresults/profileresults/write",
"display": {
"provider": "Microsoft.Cdn",
"resource": "Profile",
"operation": "write"
}
},
{
"name": "Microsoft.Cdn/operationresults/profileresults/delete",
"display": {
"provider": "Microsoft.Cdn",
"resource": "Profile",
"operation": "delete"
}
},
{
"name": "Microsoft.Cdn/operationresults/profileresults/CheckResourceUsage/action",
"display": {
"provider": "Microsoft.Cdn",
"resource": "Profile",
"operation": "CheckResourceUsage"
}
},
{
"name": "Microsoft.Cdn/operationresults/profileresults/GenerateSsoUri/action",
"display": {
"provider": "Microsoft.Cdn",
"resource": "Profile",
"operation": "GenerateSsoUri"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Dimension |
Type of operation: get, read, delete, etc. |
| Display |
The object that represents the operation. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Log |
Log specification of operation. |
|
Metric |
Retention policy of a resource metric. |
|
Metric |
Metric specification of operation. |
| Operation |
CDN REST API operation |
|
Operations |
Result of the request to list CDN operations. It contains a list of operations and a URL link to get the next set of results. |
|
Service |
One property of operation, include log specifications. |
DimensionProperties
Type of operation: get, read, delete, etc.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
Display name of dimension. |
| internalName |
string |
Internal name of dimension. |
| name |
string |
Name of dimension. |
Display
The object that represents the operation.
| Name | Type | Description |
|---|---|---|
| description |
string |
Description of operation. |
| operation |
string |
Operation type: Read, write, delete, etc. |
| provider |
string |
Service provider: Microsoft.Cdn |
| resource |
string |
Resource on which the operation is performed: Profile, endpoint, etc. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
LogSpecification
Log specification of operation.
| Name | Type | Description |
|---|---|---|
| blobDuration |
string |
Blob duration of specification. |
| displayName |
string |
Display name of log specification. |
| logFilterPattern |
string |
Pattern to filter based on name |
| name |
string |
Name of log specification. |
MetricAvailability
Retention policy of a resource metric.
| Name | Type | Description |
|---|---|---|
| blobDuration |
string |
|
| timeGrain |
string |
MetricSpecification
Metric specification of operation.
| Name | Type | Description |
|---|---|---|
| aggregationType |
string |
The metric aggregation type. Possible values include: 'Average', 'Count', 'Total'. |
| availabilities |
Retention policies of a resource metric. |
|
| dimensions |
The dimensions of metric |
|
| displayDescription |
string |
Display description of metric specification. |
| displayName |
string |
Display name of metric specification. |
| fillGapWithZero |
boolean |
Property to specify whether to fill gap with zero. |
| isInternal |
boolean |
Property to specify metric is internal or not. |
| metricFilterPattern |
string |
Pattern to filter based on name |
| name |
string |
Name of metric specification. |
| supportedTimeGrainTypes |
string[] |
The supported time grain types for the metrics. |
| unit |
string |
The metric unit. Possible values include: 'Bytes', 'Count', 'Milliseconds'. |
Operation
CDN REST API operation
| Name | Type | Description |
|---|---|---|
| display |
The object that represents the operation. |
|
| isDataAction |
boolean |
Indicates whether the operation is a data action |
| name |
string |
Operation name: {provider}/{resource}/{operation} |
| origin |
string |
The origin of operations. |
| properties.serviceSpecification |
One property of operation, include metric specifications. |
OperationsListResult
Result of the request to list CDN operations. It contains a list of operations and a URL link to get the next set of results.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URL to get the next set of operation list results if there are any. |
| value |
List of CDN operations supported by the CDN resource provider. |
ServiceSpecification
One property of operation, include log specifications.
| Name | Type | Description |
|---|---|---|
| logSpecifications |
Log specifications of operation. |
|
| metricSpecifications |
Metric specifications of operation. |